Bug 115810 - A change in font size in a large document is a CPU hog
Summary: A change in font size in a large document is a CPU hog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Fonts CPU-AT-100% Main-Loop
  Show dependency treegraph
 
Reported: 2018-02-17 17:39 UTC by Telesto
Modified: 2019-08-19 07:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-02-17 17:39:47 UTC
Description:
A change in font size in a large document is pretty CPU hogging. The responsiveness - as such - is still OK. However this is 'only' a pretty plain document. Combining this issues tracking or auto-spell and lots of comments... and considering the Text layout performance (https://wiki.documentfoundation.org/Development/Budget2017)

Steps to Reproduce:
1. Open Writer
2. Disable automatic spell checking
3. Open https://drive.google.com/file/d/1NPXKo2nsfn9steLOw1AuWvZxQE21wT-n (bug 115757)
4. Wait until CPU drops to near 0%
4. Select the content on page 1 and change the font size to 16

Actual Results:  
A change in font size in a large document is pretty CPU hogging

Expected Results:
Maye something like 4.4.7.2..


Reproducible: Always


User Profile Reset: No



Additional Info:
Repro with
Version: 6.1.0.0.alpha0+
Build ID: b87fe45e8b087a315a65b92bf9c168b1e4c5cc00
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-16_23:14:35
Locale: nl-NL (nl_NL); Calc: CL

and with
Version: 5.2.5.0.0+
Build ID: 78223678b7513ffe46804cb08f2dc5bc899b2bab
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
Locale: nl-NL (nl_NL); Calc: CL

but not with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-02-18 16:16:37 UTC Comment hidden (obsolete)
Comment 2 Imai 2018-02-19 05:47:26 UTC
Issue is reproduced.

OS X EL Capitan
Ver:10.11.3

Libreoffice 6.0
Comment 3 Imai 2018-02-20 08:36:35 UTC
 Detailed version info

version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS:Mac OS X 10.11.3; UI render: default; 
local: ja-JP (ja.UTF-8); Calc: group
Comment 4 Dieter Praas 2018-02-20 10:24:36 UTC
(In reply to Imai from comment #2)
> Issue is reproduced.
> 

If you're able to reproduce it, you can change the bug status to NEW.
Comment 5 Telesto 2018-06-04 16:36:53 UTC
Bibiseced to the following range:

~/bibisect-win32-5.0
$ git bisect bad
3f4cc8db52a676c8bb37ebcf9996e73ef3240f0d is the first bad commit
commit 3f4cc8db52a676c8bb37ebcf9996e73ef3240f0d
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon May 25 22:26:52 2015 -0500

    source sha:9b4abcd1c45a646a1ac9120fe1c489ba6bb44e95

    source sha:9b4abcd1c45a646a1ac9120fe1c489ba6bb44e95
    source sha:acaafc03e623ac25d4408605f34d50618926c5d0
    source sha:567f51192483059ec57c16a6045141746d4b01f9
    source sha:ef6f2490a697e7c23fea40c567f751db05f1bbbf
    source sha:2c0189a8a3aeb3668bf6de1ea1958ba475b80a38
    source sha:3da65dc8982167517f19e80a288b049118bc3d23
    source sha:2a0b6705724c4ea65b56eb0f45bccfa253d9fdc2
    source sha:59619dbe971852d5cd35dcc3f78eda9bebeb99aa
    source sha:e7c2b4b981b9b43c31fa442d5596b7a765dbe699
    source sha:6f4dc6af39ecf2f90155205ad097601a8b2f602c
    source sha:ca3700c42238e71684ec1d5f5eacaea4b1ca3b30
    source sha:8da61f23384c7f3f2850a6362765506e4e078862
    source sha:d05a64df34fd143670cb939b72abfb32d6b714c7
    source sha:01f406bc28f53acc5a2734af637aa8074a5d1813
    source sha:b6bb2e9315c9bc3338eaf066df40a969eb4774aa
    source sha:d851e1e3c29afd3315cc763144c6eb92fbef5054
    source sha:7e2a0df7e7b4551698d1d7172ef12ad1e0fd8826
    source sha:b11dba5be288ca5aaed1403093033708f7091c42
    source sha:49439d4a67b06227e56a2855c856e3482323a28a
    source sha:ff52f4e417eb4de5e85388a48a650429b1880762
    source sha:d411dca1ea6bfccb7090d4ceab15119253cac5bf
    source sha:f384496d125255a94bfd5978e0cbe44d6d046adb
    source sha:f33d6800fbdc42aa75477e31be0bba5a4a5a52c1
    source sha:8f9b0c869222e57f738bc25d51cc6364e3c6a65a
    source sha:00717355c2d10bacbae46941b82247d74fd89108
    source sha:2d95bc0510d43c11bb3bd03f590e24ba3d7ca30f
    source sha:ddd4a787ebde1b47e5ddfbd5995e2a0fe6b22ee2
    source sha:0e10b34342bd7b94b69f2eac8c9b1df89a2725f3
    source sha:b380220bc1404ed5a9daa1a28f70696e84543f61
    source sha:5bd1106c3758c8cb0c19b09799970440501fde02
    source sha:3f64e7c16a63fdc330e108cd74182c615d229bb6
    source sha:4c3cea26b84cc70a67ff4eda99b842d8786a3628
    source sha:256c5c3f28ef70b70d38e2e07dfca4baab654612
    source sha:57656eb1fae5ae6c4d3b7542a385a93ff434e4e7
    source sha:49524c6dcf04b9dadef8d2b084cf26abcf70b8a9
    source sha:826143684d2697a8620373dce18fa5f24332d5cb
    source sha:d8305248f687ffa522b56955508d82d60ad5b8c6
    source sha:a74efa665c8199899cd778900de686e2b8710fee
    source sha:e6e8a060ecc6e4fd51cfe88e00d841d546ed5915

:040000 040000 ad77b1a03396af9c8460d94e13cf1c28e5bf54bc dbf71bf6a72509169933f08eb57842c37a266627 M      instdir

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=e6e8a060ecc6e4fd51cfe88e00d841d546ed5915..9b4abcd1c45a646a1ac9120fe1c489ba6bb44e95
Comment 6 QA Administrators 2019-08-19 07:00:27 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug